Public Class genUserKey : Inherits SingletonBase(Of genUserKey)
    Private userKey As String
    Private cnt As Int32
    Public Function getKey()
        Dim dt As DateTime = DateTime.Now
        Dim key As String = dt.ToString("HHmmssfff")
        If (userKey <> key) Then
            userKey = key
            cnt = 0
        Else
            userKey = userKey + cnt
            cnt = cnt + 1
        End If
        Return userKey
    End Function
End Class
